# Start buyer KYB Buyers need to complete due diligence (KYB) before they can create payment runs and pay their suppliers. This operation initiates the due diligence process for the buyer that the logged-in user belongs to. Due Diligence is handled by a KYB provider - you will need to embed the KYB UI Component in your application so that the buyer will be able to perform the KYB process. To initialise the KYB UI Component, you need a reference that is given you in the response of this operation. Required user role: ADMIN Endpoint: POST /v1/buyers/kyb Version: v1 Security: apiKey, authToken ## Header parameters: - `idempotency-ref` (string) A unique call reference generated by the caller that, taking into consideration the payload as well as the operation itself, helps avoid duplicate operations. Idempotency reference uniqueness is maintained for at least 24 hours. ## Response 200 fields (application/json): - `reference` (string, required) The reference required to initialise the KYB UI Component. ## Response 400 fields (application/json): - `message` (string) When present helps to identify and fix the problem. - `syntaxErrors` (object) Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided. - `syntaxErrors.invalidFields` (array) - `syntaxErrors.invalidFields.params` (array) - `syntaxErrors.invalidFields.fieldName` (string) - `syntaxErrors.invalidFields.error` (string) Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE" ## Response 403 fields (application/json): - `errorCode` (string) Enum: "INSUFFICIENT_PERMISSIONS" ## Response 409 fields (application/json): - `errorCode` (string) Enum: "KYB_ALREADY_APPROVED", "KYB_PERMANENTLY_REJECTED", "KYB_PENDING_REVIEW", "IDEMPOTENT_REQUEST_IN_PROGRESS" ## Response default fields (application/json): - `code` (string) - `message` (string) ## Response 401 fields ## Response 413 fields ## Response 422 fields ## Response 429 fields ## Response 500 fields ## Response 503 fields